Package org.apache.ignite.spi.systemview.view

## Class ClientConnectionAttributeView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ClientConnectionAttributeView

    public class ClientConnectionAttributeView
    extends Object

Client connection attribute system view row.

### Constructor Summary

Constructors
`ClientConnectionAttributeView​(long connId, String name, String val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `connectionId()`
`String` `name()`
`String` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientConnectionAttributeView

    public ClientConnectionAttributeView​(long connId,
                                         String name,
                                         String val)

Parameters:
  `connId` - Connection id.
  `name` - Attribute name.
  `val` - Attribute value.

### Method Detail

#### connectionId

    public long connectionId()

Returns:
  Connection id.

#### name

    public String name()

Returns:
  Attribute name.

#### value

    public String value()

Returns:
  Attribute value.